com.fasterxml.jackson.jaxrs.util

## Class EndpointAsBeanProperty

- java.lang.Object
- - com.fasterxml.jackson.databind.BeanProperty.Std
  - - com.fasterxml.jackson.jaxrs.util.EndpointAsBeanProperty

All Implemented Interfaces:
  com.fasterxml.jackson.databind.BeanProperty, com.fasterxml.jackson.databind.util.Named, Serializable

    public class EndpointAsBeanProperty
    extends com.fasterxml.jackson.databind.BeanProperty.Std

`BeanProperty` implementation used for passing annotations from JAX-RS endpoint into Jackson. This tries to imitate behavior one would get if actual resource method was used as POJO property; ideally this would be how implementation works but due JAX-RS API limitations, we are only given annotations associated, and that has to do.

NOTE: not yet used by JAX-RS provider, directly, as of Jackson 2.9

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

`com.fasterxml.jackson.databind.BeanProperty.Bogus, com.fasterxml.jackson.databind.BeanProperty.Std`

### Field Summary

Fields
`com.fasterxml.jackson.databind.introspect.AnnotationMap` `_annotations`
`protected Annotation[]` `_rawAnnotations`
`static com.fasterxml.jackson.databind.PropertyName` `ENDPOINT_NAME`

### Fields inherited from class com.fasterxml.jackson.databind.BeanProperty.Std

`_member, _metadata, _name, _type, _wrapperName`

### Fields inherited from interface com.fasterxml.jackson.databind.BeanProperty

`EMPTY_FORMAT, EMPTY_INCLUDE`

### Constructor Summary

Constructors
`protected` `EndpointAsBeanProperty(EndpointAsBeanProperty base, com.fasterxml.jackson.databind.JavaType newType)`
`` `EndpointAsBeanProperty(com.fasterxml.jackson.databind.PropertyName name, com.fasterxml.jackson.databind.JavaType type, Annotation[] annotations)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected com.fasterxml.jackson.databind.introspect.AnnotationMap` `annotations()`
`<A extends Annotation> A` `getAnnotation(Class<A> acls)`
`com.fasterxml.jackson.databind.BeanProperty.Std` `withType(com.fasterxml.jackson.databind.JavaType type)`

### Methods inherited from class com.fasterxml.jackson.databind.BeanProperty.Std

`depositSchemaProperty, findAliases, findFormatOverrides, findPropertyFormat, findPropertyInclusion, getContextAnnotation, getFullName, getMember, getMetadata, getName, getType, getWrapperName, isRequired, isVirtual`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENDPOINT_NAME

    public static final com.fasterxml.jackson.databind.PropertyName ENDPOINT_NAME

#### _rawAnnotations

    protected transient Annotation[] _rawAnnotations

#### _annotations

    public com.fasterxml.jackson.databind.introspect.AnnotationMap _annotations

### Constructor Detail

#### EndpointAsBeanProperty

    public EndpointAsBeanProperty(com.fasterxml.jackson.databind.PropertyName name,
                                  com.fasterxml.jackson.databind.JavaType type,
                                  Annotation[] annotations)

#### EndpointAsBeanProperty

    protected EndpointAsBeanProperty(EndpointAsBeanProperty base,
                                     com.fasterxml.jackson.databind.JavaType newType)

### Method Detail

#### withType

    public com.fasterxml.jackson.databind.BeanProperty.Std withType(com.fasterxml.jackson.databind.JavaType type)

Overrides:
  `withType` in class `com.fasterxml.jackson.databind.BeanProperty.Std`

#### getAnnotation

    public <A extends Annotation> A getAnnotation(Class<A> acls)

Specified by:
  `getAnnotation` in interface `com.fasterxml.jackson.databind.BeanProperty`
Overrides:
  `getAnnotation` in class `com.fasterxml.jackson.databind.BeanProperty.Std`

#### annotations

    protected com.fasterxml.jackson.databind.introspect.AnnotationMap annotations()